<?php
  
FUNCTION DELETE_INSTALL($dir) {
  
  $includes = GLOB($dir.'/{,.}*', GLOB_BRACE);
  $systemDots = PREG_GREP('/\.+$/', $includes);
  
  FOREACH ($systemDots AS $index => $dot) {
    
    UNSET($includes[$index]);
  
  }
  
  FOREACH ($includes AS $include) {
    
    IF (IS_DIR($include) && !IS_LINK($include)) {
      
      DELETE_INSTALL($include);
    
    }ELSE{
      
      UNLINK($include);
    
    }
  
  }
  
  RMDIR($dir);

}
  
ECHO "<div class='list'>"; 

IF (GET('get_s') == 'end'){
  
  DELETE_INSTALL(ROOT.'/install/');
  
  REDIRECT('/');
  
}

ECHO "<center><font size='+1'>".LG('Шаг')." 5 ".LG('из')." 5</font><br /><br />";

ECHO "<b><font size='+1'>".LG('Завершение установки')."</font></b></center><br />";

ECHO "Для завершения установки необходимо удалить папку <b>/install/</b> на сервере. Это важно.<br /><br />";

ECHO "<a class='btn' href='/install/?get=5&get_s=end'>".ICONS('times', 15, 'fa-fw')." ".LG('Удалить и завершить установку')."</a><br /><br />";

ECHO "</div>";
  
?>